io.vertx.reactivex.ext.auth.mongo

## Class HashStrategy

- java.lang.Object
- - io.vertx.reactivex.ext.auth.mongo.HashStrategy

-     public class HashStrategy
      extends Object

  Determines how the hashing is computed in the implementation You can implement this to provide a different hashing strategy to the default.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<HashStrategy>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashStrategy(HashStrategy delegate)`
    `HashStrategy(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `computeHash(String password, User user)` Compute the hashed password given the unhashed password and the user
    `boolean` | `equals(Object o)`
    `HashStrategy` | `getDelegate()`
    `String` | `getSalt(User user)` Retrieve the salt.
    `HashSaltStyle` | `getSaltStyle()` Get the defined `HashSaltStyle` of the current instance
    `String` | `getStoredPwd(User user)` Retrieve the password from the user, or as clear text or as hashed version, depending on the definition
    `int` | `hashCode()`
    `static HashStrategy` | `newInstance(HashStrategy arg)`
    `void` | `setAlgorithm(HashAlgorithm algorithm)` Allows the selection of the hashing algorithm.
    `void` | `setExternalSalt(String salt)` Set an external salt.
    `void` | `setSaltStyle(HashSaltStyle saltStyle)` Set the saltstyle as defined by `HashSaltStyle`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HashStrategy> __TYPE_ARG

  - ### Constructor Detail

    - #### HashStrategy

          public HashStrategy(HashStrategy delegate)

    - #### HashStrategy

          public HashStrategy(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HashStrategy getDelegate()

    - #### computeHash

          public String computeHash(String password,
                                    User user)

      Compute the hashed password given the unhashed password and the user
      Parameters:
        `password` - the unhashed password
        `user` - the user to get the salt for. This paramter is needed, if the is declared to be used
      Returns:
        the hashed password

    - #### getStoredPwd

          public String getStoredPwd(User user)

      Retrieve the password from the user, or as clear text or as hashed version, depending on the definition
      Parameters:
        `user` - the user to get the stored password for
      Returns:
        the password, either as hashed version or as cleartext, depending on the preferences

    - #### getSalt

          public String getSalt(User user)

      Retrieve the salt. The source of the salt can be the external salt or the propriate column of the given user, depending on the defined `HashSaltStyle`
      Parameters:
        `user` - the user to get the salt for. This paramter is needed, if the is declared to be used
      Returns:
        null in case of the salt of the user or a defined external salt

    - #### setExternalSalt

          public void setExternalSalt(String salt)

      Set an external salt. This method should be used in case of
      Parameters:
        `salt` - the salt, which shall be used

    - #### setSaltStyle

          public void setSaltStyle(HashSaltStyle saltStyle)

      Set the saltstyle as defined by `HashSaltStyle`.
      Parameters:
        `saltStyle` - the `HashSaltStyle` to be used

    - #### getSaltStyle

          public HashSaltStyle getSaltStyle()

      Get the defined `HashSaltStyle` of the current instance
      Returns:
        the saltStyle

    - #### setAlgorithm

          public void setAlgorithm(HashAlgorithm algorithm)

      Allows the selection of the hashing algorithm.
      Parameters:
        `algorithm` - the choosen algorithm

    - #### newInstance

          public static HashStrategy newInstance(HashStrategy arg)

Copyright © 2020 Eclipse. All rights reserved.